---
updatedAt: 2025-09-14T23:47:13.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Updates an existing mobile device provisioning profiles by id

```xml Sample Request Body
<mobile_device_provisioning_profile>
	<general>
		<name>in-house app profile</name>
		<display_name>in-house app profile</display_name>
		<uuid>116AF1E6-7EB5-4335-B598-276CDE5E015B</uuid>
	</general>
</mobile_device_provisioning_profile>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/mobiledeviceprovisioningprofiles/id/{id}": {
      "put": {
        "x-explorer-enabled": false,
        "tags": [
          "mobiledeviceprovisioningprofiles"
        ],
        "summary": "Updates an existing mobile device provisioning profiles by id",
        "operationId": "updateMobileDeviceProvisioningProfilesById",
        "parameters": [
          {
            "description": "Id value to filter by",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/xml": {
                "schema": {
                  "$ref": "#/components/schemas/mobile_device_provisioning_profile"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/mobile_device_provisioning_profile"
                }
              }
            }
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "schemas": {
      "mobile_device_provisioning_profile": {
        "type": "object",
        "properties": {
          "general": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "example": 1
              },
              "name": {
                "type": "string",
                "example": "in-house app profile"
              },
              "display_name": {
                "type": "string",
                "example": "in-house app profile"
              },
              "uuid": {
                "type": "string",
                "example": "116AF1E6-7EB5-4335-B598-276CDE5E015B"
              }
            }
          }
        }
      }
    }
  }
}
```